DOCS
Dashboardnorth_eastGet an API keyvpn_key
PAI Chat·Endpoint
PATCH/prompt/{promptId}

PATCH /prompt/{promptId}

DELETE/prompt/{promptId}arrow_forward
tune
Parameters
promptIdrequiredpath
string (uuid)
The UUID of the prompt
upload
Request body
type
string · dynamic | static | conditional
The type of the prompt
trigger
string
The trigger string for the prompt
content
string
The content of the prompt
name
string
The name of the prompt
active
boolean
Whether the prompt is active
section
string · communication_style | context_and_clarification | content_and_sources | spam | other
The section this prompt belongs to
double_arrow
Returns 200
message
string
report
Errors
StatusDescription
404Default Response
500Default Response
north_east
Request
curl -X PATCH 'https://chat-api-dev.paicloud.ai//prompt/{promptId}' \
  -H 'Authorization: Bearer YOUR_API_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{
  "type": "dynamic",
  "trigger": "trigger",
  "content": "content",
  "name": "name",
  "active": true,
  "section": "communication_style"
}'
south_west
Response
200 OK
application/json
{
  "message": "message"
}